package cokr.xit.fims.cmmn.dao;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import cokr.xit.fims.cmmn.ExtrArtclStng;
import cokr.xit.fims.cmmn.ExtrForm;
import cokr.xit.fims.cmmn.ExtrStngQuery;
import cokr.xit.foundation.component.AbstractMapper;
import cokr.xit.foundation.data.DataObject;

@Mapper("extrStngMapper")
public interface ExtrStngMapper extends AbstractMapper {
	/**지정한 조건에 따라 자료 추출 템플릿 문구를 조회한다.<br />
	 * @param query 자료 추출 설정 조회 조건
	 * @return 자료 추출 템플릿 문구
	 */
	DataObject selectExtrBscStng(ExtrStngQuery extrStngQuery);

	int insertBscStng(ExtrForm extrForm);

	int updateBscStng(ExtrForm extrForm);

	/**지정한 조건에 따라 추출 항목 설정을 조회한다.<br />
	 * @param query 자료 추출 설정 조회 조건
	 * @return 자료 추출 설정 항목
	 */
	List<DataObject> selectExtrArtclStngList(ExtrStngQuery extrStngQuery);

	int updateArtclStng(ExtrArtclStng update);

	int deleteArtclStng(ExtrForm extrForm);

	int insertArtclStng(ExtrArtclStng insert);
}